Package org.apache.xmlbeans.impl.xb.xsdschema

## Interface AttributeGroupRef

- All Superinterfaces:
    `Annotated`, `AttributeGroup`, `OpenAttrs`, `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `AttributeGroupRefImpl`

      public interface AttributeGroupRef
      extends AttributeGroup

  An XML attributeGroupRef(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DocumentFactory<AttributeGroupRef>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `QName` | `getRef()` | Gets the "ref" attribute
    `boolean` | `isSetRef()` | True if has "ref" attribute
    `void` | `setRef​(QName ref)` | Sets the "ref" attribute
    `void` | `unsetRef()` | Unsets the "ref" attribute
    `XmlQName` | `xgetRef()` | Gets (as xml) the "ref" attribute
    `void` | `xsetRef​(XmlQName ref)` | Sets (as xml) the "ref" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.AttributeGroup

      `addNewAnyAttribute, addNewAttribute, addNewAttributeGroup, getAnyAttribute, getAttributeArray, getAttributeArray, getAttributeGroupArray, getAttributeGroupArray, getAttributeGroupList, getAttributeList, getName, insertNewAttribute, insertNewAttributeGroup, isSetAnyAttribute, isSetName, removeAttribute, removeAttributeGroup, setAnyAttribute, setAttributeArray, setAttributeArray, setAttributeGroupArray, setAttributeGroupArray, setName, sizeOfAttributeArray, sizeOfAttributeGroupArray, unsetAnyAttribute, unsetName, xgetName, xsetName`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<AttributeGroupRef> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getRef

          QName getRef()

      Gets the "ref" attribute
      Specified by:
        `getRef` in interface `AttributeGroup`

    - #### xgetRef

          XmlQName xgetRef()

      Gets (as xml) the "ref" attribute
      Specified by:
        `xgetRef` in interface `AttributeGroup`

    - #### isSetRef

          boolean isSetRef()

      True if has "ref" attribute
      Specified by:
        `isSetRef` in interface `AttributeGroup`

    - #### setRef

          void setRef​(QName ref)

      Sets the "ref" attribute
      Specified by:
        `setRef` in interface `AttributeGroup`

    - #### xsetRef

          void xsetRef​(XmlQName ref)

      Sets (as xml) the "ref" attribute
      Specified by:
        `xsetRef` in interface `AttributeGroup`

    - #### unsetRef

          void unsetRef()

      Unsets the "ref" attribute
      Specified by:
        `unsetRef` in interface `AttributeGroup`